Package org.opencv.video

## Class TrackerNano

- java.lang.Object
- - org.opencv.video.Tracker
  - - org.opencv.video.TrackerNano

-     public class TrackerNano
      extends Tracker

  the Nano tracker is a super lightweight dnn-based general object tracking. Nano tracker is much faster and extremely lightweight due to special model structure, the whole model size is about 1.9 MB. Nano tracker needs two models: one for feature extraction (backbone) and the another for localization (neckhead). Model download link: https://github.com/HonglinChu/SiamTrackers/tree/master/NanoTrack/models/nanotrackv2 Original repo is here: https://github.com/HonglinChu/NanoTrack Author: HongLinChu, 1628464345@qq.com

- - ### Field Summary

    - ### Fields inherited from class org.opencv.video.Tracker

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TrackerNano​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackerNano` | `__fromPtr__​(long addr)` |
    `static TrackerNano` | `create()` | Constructor
    `static TrackerNano` | `create​(TrackerNano_Params parameters)` | Constructor
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.video.Tracker

      `getNativeObjAddr, getTrackingScore, init, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerNano

          protected TrackerNano​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerNano __fromPtr__​(long addr)

    - #### create

          public static TrackerNano create​(TrackerNano_Params parameters)

      Constructor
      Parameters:
        `parameters` - NanoTrack parameters TrackerNano::Params
      Returns:
        automatically generated

    - #### create

          public static TrackerNano create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `java.lang.Throwable`